%define rname activeldap
%define name ruby-%{rname}
%define version 0.7.2
%define release %mkrel 1

Summary: Object oriented interface to Ruby/LDAP
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://dataspill.org/posts/show/4
Source0: http://rubyforge.org/frs/download.php/1763/%{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8.1
Requires: ruby-ldap ruby-log4r
BuildRequires: ruby-devel
BuildArch: noarch

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
Ruby/ActiveLDAP is an object-oriented interface to LDAP written in Ruby. It
is a wrapper around Ruby/LDAP with its interface inspired by ActiveRecord.

Ruby/ActiveLDAP dynamically parses the LDAP server's schema based on the 
objectClasses an entry has. It then exposes the LDAP attributes as methods
on the object. This means that if you update the objectClass on an object,
the methods/attributes available for changing are automatically updated.

%prep
%setup -q 
ruby setup.rb config --prefix=$RPM_BUILD_ROOT%{_prefix}
ruby setup.rb setup

%build

%clean
rm -rf %buildroot

%install
rm -rf %buildroot
ruby setup.rb install
for f in `find %buildroot%{ruby_libdir} . -name \*.rb`
do
        if head -n1 "$f" | grep '^#!' >/dev/null;
        then
                sed -i 's|/usr/local/bin|/usr/bin|' "$f"
                chmod 0755 "$f"
        else
                chmod 0644 "$f"
        fi
done

%files
%defattr(-,root,root)
%{ruby_libdir}/activeldap*
%doc COPYING README LICENSE CHANGES examples tests doc

%changelog
* Mon May 22 2006 Pascal Terjan <pterjan@mandriva.org> 0.7.2-1mdk
- New release 0.7.2

* Sun May 07 2006 Pascal Terjan <pterjan@mandriva.org> 0.7.1-1mdk
- 0.7.1

* Tue Jan 10 2006 Pascal Terjan <pterjan@mandriva.org> 0.6.0-1mdk
- 0.6.0
- mkrel
- fix perms

* Thu Mar 31 2005 Pascal Terjan <pterjan@mandrake.org> 0.5.5-2mdk
- lib64 fix

* Mon Feb 21 2005 Pascal Terjan <pterjan@mandrake.org> 0.5.5-1mdk
- 0.5.5

* Wed Jan 12 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.3-1mdk 
- first mdk release
